%define unmangled_name proton-core
%define github_repo_name python-proton-core

Name: python-%{unmangled_name}
Version: 0.3.3
Release: 1%{?dist}
Summary: %{unmangled_name} library

License: GPL-3.0-or-later
Vendor:  Proton AG <opensource@proton.me>
URL:     https://github.com/ProtonVPN/%{github_repo_name}
Source:  %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: python3-devel
# Test requirements
BuildRequires: python3dist(pytest)
BuildRequires: python3dist(pyotp)
BuildArch: noarch

%global _description %{expand:
The %{unmangled_name} component contains core logic used by the other ProtonVPN
components, such as API and SSO. }

%description %_description

%package -n python3-%{unmangled_name}
Summary: %{summary}
Conflicts: python3-proton-client

%description -n python3-%{unmangled_name} %_description

%prep
%autosetup -p1 -n %{github_repo_name}-%{version}
# Do not measure test coverage
sed -i '/addopts = --cov=proton --cov-report html --cov-report term/d' setup.cfg 

%generate_buildrequires
%pyproject_buildrequires -r
 
%build
%pyproject_wheel
 
%install
%pyproject_install
 
%pyproject_save_files proton
 
%check
k="${k-}${k+ and }not (TestAlternativeRouting and test_alternative_routing_works_on_prod)"
k="${k-}${k+ and }not (TestAuto and test_auto_works_on_prod)"
k="${k-}${k+ and }not (TestProtonSSO and test_broken_data)"
k="${k-}${k+ and }not (TestProtonSSO and test_broken_index)"
k="${k-}${k+ and }not (TestProtonSSO and test_sessions)"
k="${k-}${k+ and }not (TestSession and test_ping)"
k="${k-}${k+ and }not (TestTLSValidation and test_successful)"
k="${k-}${k+ and }not (TestTLSValidation and test_without_pinning)"
k="${k-}${k+ and }not (TestTLSValidation and test_bad_pinning_fingerprint_changed)"
k="${k-}${k+ and }not (TestTLSValidation and test_bad_pinning_url_changed)"

%pytest -k "${k-}"

%files -n python3-%{unmangled_name} -f %{pyproject_files}

%changelog
* Fri May 12 2023 Xavier Piroux <xavier.piroux@proton.ch> 0.1.11
- API URL : https://vpn-api.proton.me
- fixed Alternative Routing : support IP addresses

* Wed Apr 19 2023 Alexandru Cheltuitor <alexandru.cheltuitor@proton.ch> 0.1.10
- Add license

* Thu Apr 06 2023 Xavier Piroux <xavier.piroux@proton.ch> 0.1.9
- proton-sso: fixing 2fa

* Mon Mar 27 2023 Josep Llaneras <josep.llaneras@proton.ch> 0.1.8
- Allow running proton.sso module

* Tue Mar 07 2023 Alexandru Cheltuitor <alexandru.cheltuitor@proton.ch> 0.1.7
- Hide SSO CLI

* Tue Mar 07 2023 Josep Llaneras <josep.llaneras@proton.ch> 0.1.6
- Fix invalid attribute

* Mon Mar 06 2023 Josep Llaneras <josep.llaneras@proton.ch> 0.1.5
- Do not leak timeout errors when selecting transport

* Fri Mar 03 2023 Josep Llaneras <josep.llaneras@proton.ch> 0.1.4
- Fix alternative routing crash during domain refresh

* Mon Feb 13 2023 Alexandru Cheltuitor <alexandru.cheltuitor@proton.ch> 0.1.3
- Recursively create product folders

* Thu Feb 09 2023 Alexandru Cheltuitor <alexandru.cheltuitor@proton.ch> 0.1.2
- Rely on API for username validation

* Wed Feb 08 2023 Josep Llaneras <josep.llaneras@proton.ch> 0.1.1
- Handle aiohttp timeout error

* Fri Jan 20 2023 Josep Llaneras <josep.llaneras@proton.ch> 0.1.0
- Support posting form-encoded data

* Wed Sep 14 2022 Josep Llaneras <josep.llaneras@proton.ch> 0.0.2
- Make Loader.get_all thread safe.

* Wed Jun 1 2022 Xavier Piroux <xavier.piroux@proton.ch> 0.0.1
- First RPM release
